## AgsFileLookup

AgsFileLookup — resolve objects read of file.

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FILE_LOOKUP_GET_OBJ_MUTEX()
GList * | ags_file_lookup_find_by_node ()
GList * | ags_file_lookup_find_by_reference ()
void | ags_file_lookup_resolve ()
AgsFileLookup * | ags_file_lookup_new ()

## Properties

GObject * | file | Read / Write
gpointer | node | Read / Write
gpointer | reference | Read / Write

## Signals

void | resolve | Run Last

## Object Hierarchy

        GObject
        ╰── AgsFileLookup

## Includes

    #include <ags/file/ags_file_lookup.h>

## Description

The AgsFileLookup resolve objects of file.

## Functions

### AGS_FILE_LOOKUP_GET_OBJ_MUTEX()

    #define AGS_FILE_LOOKUP_GET_OBJ_MUTEX(obj) (&(((AgsFileLookup *) obj)->obj_mutex))

### ags_file_lookup_find_by_node ()

    GList *
    ags_file_lookup_find_by_node (GList *file_lookup,
                                  xmlNode *node);

Find AgsFileLookup by xmlNode

#### Parameters

file_lookup | the GList containing AgsFileLookup. | [element-type Ags.FileLookup][transfer none]
node | a xmlNode |

#### Returns

The matching list containing AgsFileLookup if found otherwise `NULL`.

[element-type Ags.FileLookup][transfer none]

Since: 3.0.0

### ags_file_lookup_find_by_reference ()

    GList *
    ags_file_lookup_find_by_reference (GList *file_lookup,
                                       gpointer ref);

Find AgsFileLookup by `ref`

#### Parameters

file_lookup | the GList containing AgsFileLookup. | [element-type Ags.FileLookup][transfer none]
ref | a gpointer |

#### Returns

The matching list containing AgsFileLookup if found otherwise `NULL`.

[element-type Ags.FileLookup][transfer none]

Since: 3.0.0

### ags_file_lookup_resolve ()

    void
    ags_file_lookup_resolve (AgsFileLookup *file_lookup);

The ::resolve signal.

#### Parameters

file_lookup | the AgsFileLookup |

Since: 3.0.0

### ags_file_lookup_new ()

    AgsFileLookup *
    ags_file_lookup_new ();

Creates an AgsFileLookup

#### Returns

a new AgsFileLookup

Since: 3.0.0

## Property Details

### The `“file”` property

      “file”                     GObject *

The file it is assigned with.

Owner: AgsFileLookup

Flags: Read / Write

### The `“node”` property

      “node”                     gpointer

The node it is assigned with.

Owner: AgsFileLookup

Flags: Read / Write

### The `“reference”` property

      “reference”                gpointer

The reference it is assigned with.

Owner: AgsFileLookup

Flags: Read / Write

## Signal Details

### The `“resolve”` signal

    void
    user_function (AgsFileLookup *agsfilelookup,
                   gpointer       user_data)

Flags: Run Last